%global dlrn_nvr ansible-role-chrony-1.3.1.dev1-1.20230510014016.0111661
%global dlrn 1
%define upstream_version 1.3.1.dev1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x2426b928085a020d8a90d0d879ab7008d0896c8a

%global srcname ansible_role_chrony
%global rolename ansible-role-chrony

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 1.3.1
Release: 1.20230510014016.0111661%{?dist}
Summary:        Ansible role to manage chrony

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-chrony
Source0: ansible-role-chrony-1.3.1.dev1-1.20230510014016.0111661.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=0111661102ebb211ce8e1a08df57fb51cb4671fb

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{rolename}/%{rolename}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif
BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr

Requires: (python3dist(ansible) or ansible-core >= 2.11)

%description

Ansible role to manage chrony

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{rolename}-%{upstream_version} -S git
#Remove ansible from requirements.txt as dependency on ansible is managed manually
sed -i '/^ansible/d' requirements.txt


%build
%py3_build


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%py3_install


%files
%doc README*
%license LICENSE
%{python3_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Tue May 09 2023 OSP Prod Chain <dev-null@redhat.com> 1.3.1-1.20230510014016.0111661
- Update patches
- Add chrony_config_file_location default to avoid uncontrolled failures

* Mon May 08 2023 OSP Prod Chain <dev-null@redhat.com> 1.3.0-1.20230508134009.62654c8
- Add chrony_config_file_location default to avoid uncontrolled failures (rhbz#2172063)

* Tue Oct 18 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.1-1.20221018234758.62654c8
- Update patches
- Sync defaults for chrony with tripleo-heat-templates

* Mon Oct 10 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.1-1.20221011014446.9528e8a
- Update patches
- Add tasks for run and sync to chrony role

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.1-1.20220727142510.7ccf873
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.1-1.20220714135615.7ccf873
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.1-1.20220713084510.7ccf873
- Update patches
- Change chrony_role_action default to 'all'

* Sat Jan 22 2022 OSP Prod Chain <dev-null@redhat.com> 1.0.4-0.20220122223558.0dd2ea0
- Update patches
- Add centos9 converage
- Replacing chrony-helper with chronyc
- Create chrony-online service
- Switch to centos8 standalone job

* Thu Sep 09 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.4-0.20210910003443.15ad507
- Update patches

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.4-0.20210618221810.15ad507
- Update patches
- Correct the tox option for skipping sdist generation

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.4-0.20210528141252.5580549
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.4-0.20210527092844.5580549
- Update patches
- setup.cfg: Replace dashes with underscores

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.3-0.20210512234754.28193e4
- Update patches

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use ansible_facts
- Fix requirements

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Thu Nov 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump pyflakes

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches



